WordPress Relevanssi plugin “s” szkript beszúrás sérülékenység

CH azonosító

CH-4443

Angol cím

WordPress Relevanssi Plugin "s" Script Insertion Vulnerability

Felfedezés dátuma

2011.02.23.

Súlyosság

Közepes

Érintett rendszerek

Relevanssi plugin
WordPress

Érintett verziók

WordPress Relevanssi plugin 2.x

Összefoglaló

A WordPress Relevanssi beépülő moduljának olyan sérülékenységét jelentették, amelyet a támadók kihasználhatnak szkript beszúrásos támadások indítására.

Leírás

Az “s” paraméterrel az index.php-nek átadott bemenet  nincs megfelelően ellenőrizve, mielőtt felhasználásra kerülne. Ezt kihasználva, tetszőleges HTML és szkript kódot lehet lefuttatni a felhasználó böngészőjében, az érintett oldal vonatkozásában.

A sérülékenység sikeres kihasználásához szükséges a “Keep a log of user queries” engedélyezése (alapértelmezetten tiltva van).

A sérülékenységet a 2.7.2. verzióban jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra